summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2011-07-13 04:32:04 -0400
committer Niels Horn <niels.horn@slackbuilds.org>2011-07-14 21:54:06 -0300
commit5608364beec2ca304474296e74d9b77451e076f8 (patch)
tree49a79893bbeb90609e6ccf52a8ef9fad73174fee
parente7f6177976ea47e2bc67df749273e8f3ffdeed28 (diff)
downloadslackbuilds-5608364beec2ca304474296e74d9b77451e076f8.tar.gz
slackbuilds-5608364beec2ca304474296e74d9b77451e076f8.tar.xz
audio/calf: Added (audio plugin pack for LADSPA, DSSI, LV2 and JACK)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--audio/calf/README21
-rw-r--r--audio/calf/calf.SlackBuild129
-rw-r--r--audio/calf/calf.desktop10
-rw-r--r--audio/calf/calf.info10
-rw-r--r--audio/calf/doinst.sh10
-rw-r--r--audio/calf/slack-desc19
6 files changed, 199 insertions, 0 deletions
diff --git a/audio/calf/README b/audio/calf/README
new file mode 100644
index 0000000000..a04604eea4
--- /dev/null
+++ b/audio/calf/README
@@ -0,0 +1,21 @@
+Calf audio plugin pack for LADSPA, DSSI, LV2 and JACK. Contains effects
+(flanger, reverb, tape-like delay, phaser, rotary speaker, multi-mode
+filter, multi-tap chorus and compressor) and instruments (organ simulator
+and a monophonic synthesizer).
+
+This requires jack-audio-connection-kit.
+
+Optional dependencies: By default, these are auto-detected at build time.
+Support for each dep will be built if found, unless disabled with an
+environment variable.
+
+ladspa_sdk: Disable with LADSPA=no (which will also disable DSSI).
+dssi: Disable with DSSI=no.
+lv2core and slv2: Disable with LV2=no.
+lash: cannot be disabled.
+
+Even with all the plugin formats disabled, calfjackhost will still
+be built.
+
+To enable some experimental LV2 plugins designed for use with modular
+hosts, set EXPERIMENTAL=yes in the environment (default is "no").
diff --git a/audio/calf/calf.SlackBuild b/audio/calf/calf.SlackBuild
new file mode 100644
index 0000000000..07e426e77c
--- /dev/null
+++ b/audio/calf/calf.SlackBuild
@@ -0,0 +1,129 @@
+#!/bin/sh
+
+# Slackware build script for calf
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=calf
+VERSION=${VERSION:-0.0.18.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+if [ "${EXPERIMENTAL:-no}" = "yes" ]; then
+ EXPOPT=enable
+else
+ EXPOPT=disable
+fi
+
+if [ "${LADSPA:-yes}" = "no" ]; then
+ LADSPA_OPT="--without-ladspa"
+else
+ LADSPA_OPT="--with-ladspa-dir=/usr/lib${LIBDIRSUFFIX}/ladspa"
+fi
+
+if [ "${DSSI:-yes}" = "no" ]; then
+ DSSI_OPT="--without-dssi"
+else
+ DSSI_OPT="--with-dssi-dir=/usr/lib${LIBDIRSUFFIX}/dssi"
+fi
+
+if [ "${LV2:-yes}" = "no" ]; then
+ LV2_OPT="--without-lv2"
+else
+ LV2_OPT="--with-lv2-dir=/usr/lib${LIBDIRSUFFIX}/lv2"
+fi
+
+echo "LADSPA_OPT: $LADSPA_OPT, DSSI_OPT: $DSSI_OPT, LV2_OPT: $LV2_OPT"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Note: The build ignores the provided -O2 in the flags (but the
+# -march/-mtune -fPIC stuff is used). If you really want to force
+# it to use -O2 (Slackware default), set FORCE_SLACK_CFLAGS=yes
+# in the environment.
+if [ "${FORCE_SLACK_CFLAGS:-no}" = "yes" ]; then
+ sed -i -e 's/ -O3[^"]*//' configure
+fi
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --${EXPOPT}-experimental \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ $LADSPA_OPT \
+ $DSSI_OPT \
+ $LV2_OPT \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+# install-strip is supported, but doesn't work:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING* ChangeLog README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# This shouldn't be in the package:
+rm -f $PKG/usr/share/icons/hicolor/icon-theme.cache
+
+# Shipped .desktop file doesn't validate, use modified copy:
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/calf/calf.desktop b/audio/calf/calf.desktop
new file mode 100644
index 0000000000..fddc1e2391
--- /dev/null
+++ b/audio/calf/calf.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Name=Calf Plugin Pack for JACK
+Name[pl]=Zestaw wtyczek Calf
+Comment=Process and produce sounds using a set of plugins with JACK interface
+Comment[pl]=Przetwarzaj i generuj dźwięk używając zestawu wtyczek zgodnych z JACK
+Exec=calfjackhost
+Terminal=false
+Type=Application
+Categories=AudioVideo;Audio;
+Icon=calf
diff --git a/audio/calf/calf.info b/audio/calf/calf.info
new file mode 100644
index 0000000000..7a45ce486e
--- /dev/null
+++ b/audio/calf/calf.info
@@ -0,0 +1,10 @@
+PRGNAM="calf"
+VERSION="0.0.18.6"
+HOMEPAGE="http://sourceforge.net/projects/project/"
+DOWNLOAD="http://downloads.sourceforge.net/project/calf/calf/0.0.18.6/calf-0.0.18.6.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="780854561dad1cb873041d7a0b98cbcd"
+MD5SUM_x86_64=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="dsomero"
diff --git a/audio/calf/doinst.sh b/audio/calf/doinst.sh
new file mode 100644
index 0000000000..1f8ff67ded
--- /dev/null
+++ b/audio/calf/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/audio/calf/slack-desc b/audio/calf/slack-desc
new file mode 100644
index 0000000000..7dc371fc23
--- /dev/null
+++ b/audio/calf/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+calf: Calf (audio plugin pack for LADSPA, DSSI, LV2 and JACK)
+calf:
+calf: Calf audio plugin pack for LADSPA, DSSI, LV2 and JACK. Contains
+calf: effects (flanger, reverb, tape-like delay, phaser, rotary speaker,
+calf: multi-mode filter, multi-tap chorus and compressor) and instruments
+calf: (organ simulator and a monophonic synthesizer).
+calf:
+calf:
+calf:
+calf:
+calf: